package com.kb.rest.client;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;

public class RestGetClient {
	public static void main(String[] args) {
		
		try {
			CloseableHttpClient  httpClient = HttpClients.createDefault();
			HttpGet getRequest = new HttpGet(
				"http://localhost:8080/RestWithHttpClient/rest/userInfo");
			getRequest.addHeader("accept", "application/xml");
			HttpResponse response = httpClient.execute(getRequest);
			if (response.getStatusLine().getStatusCode() != 200) {
				throw new RuntimeException("Request Processing Failed : HTTP error code : "
				   + response.getStatusLine().getStatusCode());
			}

			BufferedReader br = new BufferedReader(
	                         new InputStreamReader((response.getEntity().getContent())));

			String output;
			System.out.println("Output received from Rest service ....");
			while ((output = br.readLine()) != null) {
				System.out.println(output);
			}

			httpClient.close();

		  } catch (ClientProtocolException e) {

			e.printStackTrace();

		  } catch (IOException e) {

			e.printStackTrace();
		  }
		
	}

}
